(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     19862,        478]
NotebookOptionsPosition[     19414,        459]
NotebookOutlinePosition[     19768,        475]
CellTagsIndexPosition[     19725,        472]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Precompute Visuals", "Title",
 CellChangeTimes->{{3.741688088473645*^9, 3.741688094818458*^9}, {
  3.742558938992785*^9, 
  3.742558939691085*^9}},ExpressionUUID->"2c462e76-3991-4fa8-acc6-\
ba856161e7bb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quiet", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"<<", " ", "Plucker//Plucker27Lines.m"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"<<", " ", "Plucker//PluckerToolbox.m"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"<<", " ", "Plucker//PluckerVisualization.m"}], ";"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SymbolicKappa", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", 
     SuperscriptBox["y", "2"], "+", 
     SuperscriptBox["z", "2"], "-", 
     RowBox[{"x", "*", "y", "*", "z"}], "-", "2"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThreeColors", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Darker", "[", "Green", "]"}], ",", "Blue"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"The24Colors", " ", "=", " ", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"ThreeColors", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", "8"}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"ThreeColors", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"j", ",", " ", "8"}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"ThreeColors", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"k", ",", " ", "8"}], "}"}]}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CubicPlotRange", "=", "30."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CubicShadowPlotRange", "=", "30."}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KappaMin", "=", 
   RowBox[{"-", "10."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KappaMax", "=", "30."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepSize", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NumberOfPencils", "=", 
    RowBox[{
     RowBox[{"Round", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"KappaMax", "-", "KappaMin"}], ")"}], "/", "StepSize"}], 
       ")"}], "]"}], "+", "1"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyCubic", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{
     RowBox[{"{", "Nothing", "}"}], ",", "NumberOfPencils"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyCubicShadow", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{
     RowBox[{"{", "Nothing", "}"}], ",", "NumberOfPencils"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyTwoPointsDefiningThe24Lines", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{
     RowBox[{"{", "Nothing", "}"}], ",", "NumberOfPencils"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyCubicColoredLines", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{
     RowBox[{"{", "Nothing", "}"}], ",", "NumberOfPencils"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyCubicShadowColoredLines", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{
     RowBox[{"{", "Nothing", "}"}], ",", "NumberOfPencils"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MyIntersectionPointsTable", "=", 
    RowBox[{"ConstantArray", "[", 
     RowBox[{
      RowBox[{"{", "Nothing", "}"}], ",", "NumberOfPencils"}], "]"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetSharedVariable", "[", 
    RowBox[{
    "MyCubic", ",", "MyCubicShadow", ",", "MyTwoPointsDefiningThe24Lines", 
     ",", "MyCubicColoredLines", ",", "MyCubicShadowColoredLines", ",", 
     "MyIntersectionPointsTable"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ParallelTable", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"k", "=", 
       RowBox[{"KappaMin", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"iter", "-", "1"}], ")"}], "*", "StepSize"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"MyCubic", "[", 
        RowBox[{"[", "iter", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"ContourPlot3D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"SymbolicKappa", "[", 
            RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], "\[Equal]", 
           "k"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "CubicPlotRange"}], ",", "CubicPlotRange"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "CubicPlotRange"}], ",", "CubicPlotRange"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "CubicPlotRange"}], ",", "CubicPlotRange"}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
          RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", 
          RowBox[{"PlotPoints", "\[Rule]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"k", "<", "3"}], ",", "50", ",", " ", "30"}], "]"}]}]}], 
         "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{" ", 
          RowBox[{"PlotPoints", "\[Rule]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"k", "<", "3"}], ",", "100", ",", "75"}], "]"}]}], "]"}],
          "[", 
         RowBox[{"[", "1", "]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"DR", ".", " ", 
        RowBox[{"GOLDMAN", ":", " ", 
         RowBox[{
         "TURN", " ", "DOWN", " ", "PLOTPOINTS", " ", "ABOVE", " ", "AND", 
          " ", "THEN", " ", "RERUN", " ", "THIS", " ", "NOTEBOOK", " ", "TO", 
          " ", "GENERATE", " ", "PRECOMPUTED", " ", "GRAPHICS", " ", "THAT", 
          " ", "ARE", " ", "LOWER", " ", "RESOLUTION", " ", "SO", " ", "YOUR",
           " ", "DESKTOP", " ", "CAN", " ", "HANDLE", " ", "IT"}]}]}], " ", 
       "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"MyCubicShadow", "[", 
        RowBox[{"[", "iter", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"RegionPlot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"x", "*", "y"}], ")"}], "2"], "-", 
            RowBox[{"4", 
             SuperscriptBox["x", "2"]}], "-", 
            RowBox[{"4", 
             SuperscriptBox["y", "2"]}], "+", 
            RowBox[{"4", 
             RowBox[{"(", 
              RowBox[{"k", "+", "2"}], ")"}]}]}], "\[GreaterEqual]", " ", 
           "0"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "CubicShadowPlotRange"}], ",", 
            "CubicShadowPlotRange"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "CubicShadowPlotRange"}], ",", 
            "CubicShadowPlotRange"}], "}"}], ",", " ", 
          RowBox[{"ImageSize", "\[Rule]", "300"}], ",", " ", 
          RowBox[{"Mesh", "\[Rule]", "None"}], ",", " ", 
          RowBox[{"PlotPoints", "\[Rule]", "100"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"Calculate", " ", "the", " ", "24", " ", "non"}], "-", 
         RowBox[{"ideal", " ", "lines", " ", "when", " ", "k"}]}], " ", 
        "\[GreaterEqual]", " ", "2"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"k", "\[GreaterEqual]", " ", "2"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"The24LinesInPlucker", "=", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"PLinesZ", "[", "k", "]"}], ",", 
            RowBox[{"CLinesZ", "[", "k", "]"}], ",", 
            RowBox[{"PLinesY", "[", "k", "]"}], ",", 
            RowBox[{"CLinesY", "[", "k", "]"}], ",", 
            RowBox[{"PLinesX", "[", "k", "]"}], ",", 
            RowBox[{"CLinesX", "[", "k", "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"MyIntersectionPointsTable", "[", 
           RowBox[{"[", "iter", "]"}], "]"}], "=", "\[IndentingNewLine]", 
          RowBox[{"Table", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"SkewQ", "[", 
               RowBox[{
                RowBox[{"The24LinesInPlucker", "[", 
                 RowBox[{"[", "l1", "]"}], "]"}], ",", " ", 
                RowBox[{"The24LinesInPlucker", "[", 
                 RowBox[{"[", "l2", "]"}], "]"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"IntersectionPointInAffinePatch", "[", 
               RowBox[{
                RowBox[{"The24LinesInPlucker", "[", 
                 RowBox[{"[", "l1", "]"}], "]"}], ",", 
                RowBox[{"The24LinesInPlucker", "[", 
                 RowBox[{"[", "l2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"l1", ",", 
              RowBox[{"Range", "[", "24", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"l2", ",", " ", 
              RowBox[{"Range", "[", "24", "]"}]}], "}"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"TwoPointsDefiningThe24Lines", "=", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ExtendLineEndPoints", "[", 
              RowBox[{
               RowBox[{"PluckerLineToTwoPointsInAffinePatch", "[", "#", "]"}],
                ",", 
               RowBox[{"10", "*", "CubicPlotRange"}]}], "]"}], "&"}], " ", 
            ",", " ", "The24LinesInPlucker"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"MyTwoPointsDefiningThe24Lines", "[", 
           RowBox[{"[", "iter", "]"}], "]"}], "=", 
          "TwoPointsDefiningThe24Lines"}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"MyCubicColoredLines", "[", 
           RowBox[{"[", "iter", "]"}], "]"}], " ", "=", " ", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Riffle", "[", 
             RowBox[{"The24Colors", ",", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Line", "[", "#", "]"}], "&"}], ",", 
                "TwoPointsDefiningThe24Lines"}], "]"}]}], "]"}], ",", "2"}], 
           "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
           "Compute", " ", "the", " ", "lines", " ", "projected", " ", "onto",
             " ", "the", " ", "XY"}], "-", "plane"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"The24ProjLines", " ", "=", " ", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Line", "[", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Drop", "[", 
                  RowBox[{"#", ",", 
                   RowBox[{"-", "1"}]}], "]"}], "&"}], ",", " ", "#"}], "]"}],
               "]"}], "&"}], ",", "TwoPointsDefiningThe24Lines"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"MyCubicShadowColoredLines", "[", 
           RowBox[{"[", "iter", "]"}], "]"}], "=", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Riffle", "[", 
             RowBox[{"The24Colors", ",", "The24ProjLines"}], "]"}], ",", 
            "2"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"iter", ",", "NumberOfPencils"}], "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<MyCubic.mx\>\"", ",", "MyCubic"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<MyCubicShadow.mx\>\"", ",", "MyCubicShadow"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<MyTwoPointsDefiningThe24Lines.mx\>\"", ",", 
    "MyTwoPointsDefiningThe24Lines"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<MyCubicColoredLines.mx\>\"", ",", "MyCubicColoredLines"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<MyCubicShadowColoredLines.mx\>\"", ",", "MyCubicShadowColoredLines"}],
    "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<KappaInfo.mx\>\"", ",", 
    RowBox[{"{", 
     RowBox[{
     "KappaMin", ",", "KappaMax", ",", "StepSize", ",", " ", "CubicPlotRange",
       ",", "CubicShadowPlotRange"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<MyIntersectionPointsTable.mx\>\"", ",", "MyIntersectionPointsTable"}],
    "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<ColorInfo.mx\>\"", ",", 
    RowBox[{"{", 
     RowBox[{"ThreeColors", ",", "The24Colors"}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7416880778565273`*^9, 3.741688080592785*^9}, {
   3.741688259659005*^9, 3.741688294923078*^9}, {3.7416886741367617`*^9, 
   3.741688674469199*^9}, {3.741695744265498*^9, 3.7416958004577513`*^9}, {
   3.741700899170548*^9, 3.741700920266897*^9}, {3.741700979849497*^9, 
   3.7417009827591057`*^9}, {3.74170173782017*^9, 3.741701760796679*^9}, 
   3.741701805711419*^9, {3.741702257347958*^9, 3.741702258784174*^9}, {
   3.7417023762669764`*^9, 3.741702396935767*^9}, {3.741702829566791*^9, 
   3.7417028366755753`*^9}, {3.7417030796768417`*^9, 
   3.7417030839546824`*^9}, {3.7417032870567007`*^9, 3.741703288981023*^9}, {
   3.741703533343274*^9, 3.741703534449771*^9}, {3.7417038589962463`*^9, 
   3.741703860605842*^9}, {3.741703941794746*^9, 3.741704009119713*^9}, {
   3.741704401780068*^9, 3.7417044058037*^9}, {3.741706553431666*^9, 
   3.741706554261861*^9}, 3.741736695470759*^9, {3.741736752145742*^9, 
   3.741736820181394*^9}, {3.741737064420726*^9, 3.741737202516035*^9}, {
   3.741737236529669*^9, 3.741737266282667*^9}, {3.7417374821931353`*^9, 
   3.7417375248437347`*^9}, {3.741737571758811*^9, 3.741737573818069*^9}, {
   3.741737634132133*^9, 3.741737683282791*^9}, {3.741738137070178*^9, 
   3.741738167082058*^9}, {3.741738233486477*^9, 3.741738277488447*^9}, {
   3.741738333434163*^9, 3.741738333579821*^9}, {3.741744520058866*^9, 
   3.741744976974208*^9}, {3.741745036078312*^9, 3.741745038279203*^9}, {
   3.741745903575149*^9, 3.741745978692382*^9}, {3.741746218921781*^9, 
   3.741746251664464*^9}, {3.741908161476222*^9, 3.741908168660969*^9}, {
   3.741983137531558*^9, 3.741983148153575*^9}, {3.741989787098288*^9, 
   3.741989806784397*^9}, {3.742079222058551*^9, 3.74207924240466*^9}, {
   3.742079903087142*^9, 3.742079926406658*^9}, {3.7420800502537327`*^9, 
   3.742080062347596*^9}, {3.742080142537565*^9, 3.7420801444101133`*^9}, {
   3.7420809019799757`*^9, 3.7420809441458178`*^9}, {3.742084683499537*^9, 
   3.7420847296673403`*^9}, {3.742085326120199*^9, 3.742085333070013*^9}, {
   3.7420856962601843`*^9, 3.7420857062761908`*^9}, {3.74208996105824*^9, 
   3.7420900328250837`*^9}, {3.742554918354637*^9, 3.742555002428494*^9}, {
   3.7425574638232183`*^9, 3.742557469836701*^9}, {3.7425586796818953`*^9, 
   3.742558740774536*^9}, {3.742558771054534*^9, 3.742558820325385*^9}, 
   3.742558888969734*^9, 3.7425589208106337`*^9, 3.742558957920497*^9, {
   3.742559007877728*^9, 3.742559009044717*^9}, {3.742559053965407*^9, 
   3.74255906057215*^9}, {3.742559635319378*^9, 3.742559717795828*^9}, {
   3.742559963143384*^9, 3.7425599707525063`*^9}, {3.742560007339777*^9, 
   3.7425600653221188`*^9}, {3.742560890580842*^9, 3.7425609412972097`*^9}, {
   3.742563358291671*^9, 3.7425634227575083`*^9}, {3.7425636325963163`*^9, 
   3.742563727962364*^9}, {3.7425637924817543`*^9, 3.742563945772375*^9}, {
   3.742564166720661*^9, 3.742564245133966*^9}, {3.7425642765479097`*^9, 
   3.7425642871156893`*^9}, {3.7425643235827417`*^9, 3.742564401094557*^9}, {
   3.742564447409882*^9, 3.742564480000885*^9}, {3.7425645148577337`*^9, 
   3.742564542437625*^9}, {3.742565071924924*^9, 3.7425650963537207`*^9}, {
   3.74256517784639*^9, 3.7425652870088997`*^9}, {3.7425653208592167`*^9, 
   3.74256534626447*^9}, {3.7425655518720827`*^9, 3.742565645037362*^9}, {
   3.7425657543853483`*^9, 3.742565802255413*^9}, {3.742565907111472*^9, 
   3.742565930817815*^9}, {3.7425659667863398`*^9, 3.742566035726198*^9}, {
   3.742566439733041*^9, 3.742566533066162*^9}, {3.742566833047715*^9, 
   3.742566870265562*^9}, {3.742566916564897*^9, 3.742566916804105*^9}, {
   3.7425670737209797`*^9, 3.742567124839465*^9}, 3.7425674984630537`*^9, {
   3.742568263797365*^9, 3.742568287479397*^9}, {3.742568731051179*^9, 
   3.742568799402495*^9}, {3.742568839734214*^9, 3.742568901207505*^9}, {
   3.742574068678282*^9, 3.742574086331644*^9}, {3.742645156772991*^9, 
   3.7426451841732893`*^9}, {3.742673809796358*^9, 3.7426738244894533`*^9}, {
   3.742744869851387*^9, 3.7427448702544193`*^9}, {3.750519993596607*^9, 
   3.750520056949361*^9}, {3.75052035418787*^9, 3.750520361344656*^9}, {
   3.750520564067628*^9, 3.7505205674750643`*^9}, {3.7505210004652567`*^9, 
   3.750521022555519*^9}, {3.7514698743176928`*^9, 3.751469876515603*^9}, {
   3.762790515061899*^9, 3.7627905579888973`*^9}, {3.763134353629887*^9, 
   3.763134412190424*^9}, {3.7633733330219707`*^9, 
   3.763373363024085*^9}},ExpressionUUID->"486d6942-57fa-4133-a037-\
aab52810e30f"]
}, Open  ]]
},
WindowSize->{1417, 796},
WindowMargins->{{4, Automatic}, {Automatic, 2}},
FrontEndVersion->"11.1 for Mac OS X x86 (32-bit, 64-bit Kernel) (April 18, \
2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 210, 4, 92, "Title", "ExpressionUUID" -> \
"2c462e76-3991-4fa8-acc6-ba856161e7bb"],
Cell[793, 28, 18605, 428, 1511, "Input", "ExpressionUUID" -> \
"486d6942-57fa-4133-a037-aab52810e30f"]
}, Open  ]]
}
]
*)

